package com.css.simulation.resource.project.mapper;

import api.common.pojo.param.project.SimulationManualProjectParam;
import api.common.pojo.po.algorithm.AlgorithmPO;
import api.common.pojo.po.model.ConfigPO;
import api.common.pojo.po.model.ConfigSensorPO;
import api.common.pojo.po.model.VehiclePO;
import api.common.pojo.po.project.*;
import api.common.pojo.po.scene.ScenePackagePO;
import api.common.pojo.vo.project.*;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Mapper
@Repository
public interface SimulationAutomaticProjectMapper {


     SimulationAutomaticProjectPo selectById(String id);

     List<SimulationAutomaticProjectPo> selectAutomaticProjectByQuery(SimulationManualProjectParam param);

     SimulationAutomaticProjectPo selectLastProjectId(Integer nowRq);

     List<SimulationManualProjectVo> selecAutomatictProjectList(SimulationManualProjectParam param);

     int add(SimulationAutomaticProjectPo po);

     int updateById(SimulationAutomaticProjectPo po);

     List<SimulationAutomaticProjectPo> selectProjectNowRunState(String[] ids);

     int deleteProject(String[] ids);

     int updateAutomaticRunState(SimulationManualProjectParam param);

     AutomaticProjectVo selectAutomaticProjectInfoById(String id);

     AlgorithmPO getAlgorithmGitVersion(AlgorithmPO po);

     int updateAlgorithmGitVersion(AlgorithmPO po);

     int updateAutomaticRunTimes(SimulationAutomaticProjectPo po);


}
